<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index__7E" name="index__7E"></a>- ~ -</h3><ul>
<li>~Application()&#160;:&#160;<a class="el" href="classgg_1_1Application.html#addc7756b106fcdddf588b7b358656054">gg::Application</a></li>
<li>~Attributes()&#160;:&#160;<a class="el" href="classgg_1_1Attributes.html#ac0a763b9415d0addc52f108b2febefa1">gg::Attributes</a></li>
<li>~Box()&#160;:&#160;<a class="el" href="classgg_1_1Box.html#aa0bb2bb7a0fcaa6cdd6a17198a354d32">gg::Box</a></li>
<li>~BuildingTile()&#160;:&#160;<a class="el" href="classgg_1_1BuildingTile.html#a77adc5a8244e48413334a56c51380aa7">gg::BuildingTile</a></li>
<li>~Button()&#160;:&#160;<a class="el" href="classgg_1_1Button.html#a0eab81baecbf9eac6f2dd49fc7a25d59">gg::Button</a></li>
<li>~Container()&#160;:&#160;<a class="el" href="classgg_1_1Container.html#a4355a439bc08e6858baa2b6ad3fde86b">gg::Container</a></li>
<li>~ControlsMenu()&#160;:&#160;<a class="el" href="classgg_1_1ControlsMenu.html#a3a9a8343ea62d18db1c96fd0071005cb">gg::ControlsMenu</a></li>
<li>~CustomGameState()&#160;:&#160;<a class="el" href="classgg_1_1CustomGameState.html#afcb60cc06555e17da9438779d87fd052">gg::CustomGameState</a></li>
<li>~FontManager()&#160;:&#160;<a class="el" href="classgg_1_1FontManager.html#a5a9298a82072146a5cbd51a6b63e08ef">gg::FontManager</a></li>
<li>~Gameplay()&#160;:&#160;<a class="el" href="classgg_1_1Gameplay.html#a31ae1423b8e4197bec904b594419ad1b">gg::Gameplay</a></li>
<li>~GameState()&#160;:&#160;<a class="el" href="classgg_1_1GameState.html#a002bb6e63a30011a1994f94a174f78dd">gg::GameState</a></li>
<li>~HBox()&#160;:&#160;<a class="el" href="classgg_1_1HBox.html#a23b232ea48d4c6ffe2d61165129ffffa">gg::HBox</a></li>
<li>~IEvent()&#160;:&#160;<a class="el" href="classgg_1_1IEvent.html#acbf64dbf915a0e0d66bce214266f8ac4">gg::IEvent</a></li>
<li>~IEventSubscriber()&#160;:&#160;<a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">gg::IEventSubscriber</a></li>
<li>~Image()&#160;:&#160;<a class="el" href="classgg_1_1Image.html#ae558c25becdc5760e2cc40cbe3328dfa">gg::Image</a></li>
<li>~KeyboardEvent()&#160;:&#160;<a class="el" href="classgg_1_1KeyboardEvent.html#acbc54be23fd27c01ab5f6ce6c558f85d">gg::KeyboardEvent</a></li>
<li>~KeyPressedEvent()&#160;:&#160;<a class="el" href="classgg_1_1KeyPressedEvent.html#a466c97780ec2cb0c9fbed923060e4ac2">gg::KeyPressedEvent</a></li>
<li>~KeyReleasedEvent()&#160;:&#160;<a class="el" href="classgg_1_1KeyReleasedEvent.html#ad26aca2fd0b1a7ec81ffec12bd886479">gg::KeyReleasedEvent</a></li>
<li>~Label()&#160;:&#160;<a class="el" href="classgg_1_1Label.html#a64f24b49471829e00bd18725a38a5bc9">gg::Label</a></li>
<li>~LoadGame()&#160;:&#160;<a class="el" href="classgg_1_1LoadGame.html#a524f47a1a3e99d0aafbcc1133d5ed597">gg::LoadGame</a></li>
<li>~MainMenu()&#160;:&#160;<a class="el" href="classgg_1_1MainMenu.html#a38a958fecf9bb9d3eb0c1f9ab125ca3f">gg::MainMenu</a></li>
<li>~Map()&#160;:&#160;<a class="el" href="classgg_1_1Map.html#aacb91ed35bf44fa0486c32137bec1f3d">gg::Map</a></li>
<li>~MouseButtonEvent()&#160;:&#160;<a class="el" href="classgg_1_1MouseButtonEvent.html#afddbee453475838c3c6f5dca89916a1f">gg::MouseButtonEvent</a></li>
<li>~MouseButtonPressedEvent()&#160;:&#160;<a class="el" href="classgg_1_1MouseButtonPressedEvent.html#aad9fb3818fdec503a1d164d0a0ad3475">gg::MouseButtonPressedEvent</a></li>
<li>~MouseButtonReleasedEvent()&#160;:&#160;<a class="el" href="classgg_1_1MouseButtonReleasedEvent.html#a107d6cd549efd776d46d2e66080fe970">gg::MouseButtonReleasedEvent</a></li>
<li>~MouseMovedEvent()&#160;:&#160;<a class="el" href="classgg_1_1MouseMovedEvent.html#a1878f2591938753f50cf170a723ade41">gg::MouseMovedEvent</a></li>
<li>~NewGame()&#160;:&#160;<a class="el" href="classgg_1_1NewGame.html#ab2475064278518ad1f90f7125f8527ac">gg::NewGame</a></li>
<li>~PauseMenu()&#160;:&#160;<a class="el" href="classgg_1_1PauseMenu.html#abea83a2c2f378bfe188365cc173c0d0f">gg::PauseMenu</a></li>
<li>~RoadTile()&#160;:&#160;<a class="el" href="classgg_1_1RoadTile.html#a7d58b7500a42f402ce02d20068799c8c">gg::RoadTile</a></li>
<li>~RoundedShape()&#160;:&#160;<a class="el" href="classgg_1_1RoundedShape.html#a8fa9b9f63f46c072e941f0340494715d">gg::RoundedShape</a></li>
<li>~Scene()&#160;:&#160;<a class="el" href="classgg_1_1Scene.html#a0a9b6261ce9df8f1770d3c12d8b9f233">gg::Scene</a></li>
<li>~SceneButtonEvent()&#160;:&#160;<a class="el" href="classgg_1_1SceneButtonEvent.html#af77eac7ccf2d7411395a7696704bbf65">gg::SceneButtonEvent</a></li>
<li>~SceneInputEvent()&#160;:&#160;<a class="el" href="classgg_1_1SceneInputEvent.html#a79d9fe8bd403a8aed822b0a04981c86d">gg::SceneInputEvent</a></li>
<li>~SceneManager()&#160;:&#160;<a class="el" href="classgg_1_1SceneManager.html#af7e0001ea2a90c81cfb37547ee0f67ff">gg::SceneManager</a></li>
<li>~SceneNode()&#160;:&#160;<a class="el" href="classgg_1_1SceneNode.html#a2b386a4b1246cd13a553159420782f39">gg::SceneNode</a></li>
<li>~SceneToggleButtonEvent()&#160;:&#160;<a class="el" href="classgg_1_1SceneToggleButtonEvent.html#a957f351b79c34c732ab8d7f28c6e9bce">gg::SceneToggleButtonEvent</a></li>
<li>~Settings()&#160;:&#160;<a class="el" href="classgg_1_1Settings.html#ab5da44d8f34699c6b462396fd4a16055">gg::Settings</a></li>
<li>~StyleManager()&#160;:&#160;<a class="el" href="classgg_1_1StyleManager.html#ae41f3249b4fe4a01d6d531480697f1bd">gg::StyleManager</a></li>
<li>~TerrainTile()&#160;:&#160;<a class="el" href="classgg_1_1TerrainTile.html#a512736a8f4cf1e4ecdb71f22d71f70c3">gg::TerrainTile</a></li>
<li>~TextureManager()&#160;:&#160;<a class="el" href="classgg_1_1TextureManager.html#a5e56e7c43fdf52653698d99659016eb3">gg::TextureManager</a></li>
<li>~Tile()&#160;:&#160;<a class="el" href="classgg_1_1Tile.html#a3e180f4be66ea12ad1e2a95a66fad2e7">gg::Tile</a></li>
<li>~TimePassed()&#160;:&#160;<a class="el" href="classgg_1_1TimePassed.html#a295fa18efee2239ed31383932a316791">gg::TimePassed</a></li>
<li>~Timer()&#160;:&#160;<a class="el" href="classgg_1_1Timer.html#a5f426934501bb08f99adccbc15b5d8ac">gg::Timer</a></li>
<li>~ToggleButton()&#160;:&#160;<a class="el" href="classgg_1_1ToggleButton.html#ad12f240e485c3cd0358edf1739e8e860">gg::ToggleButton</a></li>
<li>~ToggleGroup()&#160;:&#160;<a class="el" href="classgg_1_1ToggleGroup.html#a9709faa760de29cc1fc1023b1a3ec6a6">gg::ToggleGroup</a></li>
<li>~Util()&#160;:&#160;<a class="el" href="classgg_1_1Util.html#a67ffdae0c1c521ee6bf741cc74fcf9f3">gg::Util</a></li>
<li>~VBox()&#160;:&#160;<a class="el" href="classgg_1_1VBox.html#abab8706221eb1f44e886849d91231240">gg::VBox</a></li>
<li>~WindowCloseEvent()&#160;:&#160;<a class="el" href="classgg_1_1WindowCloseEvent.html#a1aa852c54f1b064b8e9a6597a3f74d0a">gg::WindowCloseEvent</a></li>
<li>~WindowResizeEvent()&#160;:&#160;<a class="el" href="classgg_1_1WindowResizeEvent.html#a4313155f96716fe84b1bf5a1fd799811">gg::WindowResizeEvent</a></li>
<li>~XMLDocument()&#160;:&#160;<a class="el" href="classgg_1_1XMLDocument.html#ae8db8c5250eb6ebe7c0bdb953729940c">gg::XMLDocument</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
